/**************************************************************************/
/* AN02 ( アンケート項目マスタ )                                          */
/*                                                                        */
/* Created : 2010/08/02 19:03:06                                          */
/**************************************************************************/
CREATE TABLE AN02 (
   USERID    VARCHAR(10)                    NOT NULL                  /* 10  ユーザーID       */
 , CDANK     VARCHAR(10)                    NOT NULL                  /* 20  アンケートC      */
 , CDSITSU   VARCHAR(10)                    NOT NULL                  /* 30  質問C            */
 , SEQNO     NUMERIC(7)      DEFAULT 0      NOT NULL                  /* 40  表示順           */
 , NAIYO     BLOB                                                     /* 50  質問内容         */
 , IMGNAI    VARCHAR(200)                                             /* 60  質問画像         */
 , IMGSNAI   VARCHAR(10)                                              /* 70  質問画像(拡張子) */
 , FGKEY     VARCHAR(1)      DEFAULT '0'    NOT NULL                  /* 80  キー項目F        */
 , FGMUST    VARCHAR(1)      DEFAULT '0'    NOT NULL                  /* 90  回答必須F        */
 , KBUNRUI   VARCHAR(10)     DEFAULT 'TEXT' NOT NULL                  /* 100 回答値分類       */
 , KLENGTH   NUMERIC(9)      DEFAULT 10     NOT NULL                  /* 110 回答値桁数       */
 , KNOTE     VARCHAR(200)                                             /* 120 回答注釈         */
 , SUONELINE NUMERIC(9)      DEFAULT 1      NOT NULL                  /* 130 1行選択肢数      */
 , BIKO      BLOB                                                     /* 140 備考             */
 , UNIQ      BIGINT                         NOT NULL PRIMARY KEY      /* 150 ユニークキー     */
 , FGJ       VARCHAR(1)      DEFAULT '1'    NOT NULL                  /* 160 状態フラグ       */
 , DYSET     VARCHAR(14)                                              /* 170 登録日時         */
 , PGSET     VARCHAR(10)                                              /* 180 作成PG           */
 , PGPSET    VARCHAR(10)                                              /* 190 作成親PG         */
 , USRSET    VARCHAR(10)                                              /* 200 作成社員         */
 , DYUPD     VARCHAR(14)                                              /* 210 更新日時         */
 , PGUPD     VARCHAR(10)                                              /* 220 更新PG           */
 , PGPUPD    VARCHAR(10)                                              /* 230 更新親PG         */
 , USRUPD    VARCHAR(10)                                              /* 240 更新者           */
);

CREATE SEQUENCE AN02S00 ;


CREATE TRIGGER AN02T00 FOR AN02
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( AN02S00,1 );
  END; 


